package iowrappers

import (
	"io"
	"net"
)

type ReadWriteAddrCloser interface {
	io.ReadWriteCloser

	RemoteAddr() net.Addr
}

type ReadWriterCombiner struct {
	io.Reader
	io.Writer
}

func (rw *ReadWriterCombiner) Read(p []byte) (n int, err error) {
	return rw.Reader.Read(p)
}
func (rw *ReadWriterCombiner) Write(p []byte) (n int, err error) {
	return rw.Writer.Write(p)
}
